{% extends "index.html" %}

{% block content %}

    <table class="table table-dark table-striped">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Name of group</th>
            <th scope="col">Birth date</th>
            <th scope="col">Age</th>
            <th scope="col">Update</th>
            <th scope="col">Delete</th>
            <th scope="col">Resume</th>

        </tr>
        </thead>
        <tbody>

        {% for student in students %}
            <tr>
                <th scope="row">{{ student.resume_file }}</th>
                <td>{{ student.first_name }}</td>
                <td>{{ student.last_name }}</td>
                <td>{{ student.email }}</td>
                <td>{{ student.group_name }}</td>
                <td>{{ student.birth_date|default:"Unknown" }}</td>
                {% if student.birth_date %}
                    <td>{{ student.age }}</td>
                {% else %}
                    <td>Unknown age</td>
                {% endif %}
                <th><a type="button" class="btn btn-warning" href="{% url 'students:update_student' student.uuid %}"
                >Update</a></th>
                <th><a type="button" class="btn btn-warning" href="{% url 'students:delete_student' student.uuid %}"
                >Delete</a></th>
                <th><a type="button" class="btn btn-warning" href="{% url 'students:upload' %}">Resume</a></th>
            </tr>
        {% endfor %}

        </tbody>
    </table>
{% endblock content %}